# Custom Themes

If you are a Shopify developer and wish to add the Manifold Merch Bridge to your own custom theme, please see the README and merch\_bridge.diff files in our [themes repository](https://github.com/manifoldxyz/manifold-templates/tree/main/shopify/themes) to get a sense of the modifications that need to be made.

At the core, two **snippets** are added:

1. snippets/manifold-campaign-widget.liquid
2. snippets/manifold-checkout-widget.liquid

These two **snippets** add the basic product page and checkout functionality to the theme.

With these snippets added, they still need to be rendered into the appropriate product and checkout pages, as well as replace certain default elements on the theme (e.g. the 'Add To Cart' and 'Checkout' buttons). Those are changes to the various **sections** in the theme.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.manifold.xyz/manifold-for-developers/shopify-merch-bridge/reference/custom-themes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
